# HGEOM -- Correct for fiber area coverage
# By Doug Mink, SAO/TDC
# March 9, 2005

procedure hgeom (images)

string	images = ""	{prompt="Input multispec images to correct"}
bool deltemp = no	{prompt="Delete temporary files (y or n)"}
bool saveold = yes	{prompt="Save unprocessed files to Nogeo/ (y or n)"}
bool verbose = yes	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Log each aperture (y or n)"}

begin
	bool vb, db, del, save
	string	imtype, mstype, keyroot, apxkey, apykey, rratio, aps
	file imin, imout, geores, geotemp, imroot, newfile, templist
	string imageap, history, order, function, ims, tchar
	int index, iap, nap, npix, lroot, xcol, ycol
	real x, y, rad, ratio

	ims = images
	del = deltemp
	save = saveold
	vb = verbose
	db = debug

#  Make temporary list of input files
	tchar = substr (ims,1,1)
        if (tchar == '@') {
	    templist = substr (ims,2,100)
	    deltemp = no
	    }
	else {
	    templist = mktemp ("geolist")
	    files (ims, >templist)
	    }
	list = templist
	while (fscan (list,imin) != EOF) {

	    hgeom1 (imin, deltemp=del, saveold=save, verbose=vb, debug=db)

	    }

	if (deltemp) {
	    delete (templist)
	    }
end

# Oct 18 2004	New task split off from HTRAN

# Jan  6 2004	Add missing brace; drop unused variables
# Jan 13 2005	Allow input name to be root file name
# Mar  2 2005	Add .fits if .ms only on input file name
# Mar  9 2005	Move computations to HGEOM1
