# SETBADPIX -- Set the BPM header field for all four Hectospec extensions if
#              not already set
# By Doug Mink, SAO/TDC
# March 22, 2006

procedure setbadpix (images)

string	images = ""	{prompt="Input multispec images to correct"}
string	ext = "IM"	{prompt="Extension name root"}
string	maskpath = "mscdb$sao/mmto/mmt/spec/badpix"	{prompt="Path to bad pixel mask"}
bool verbose = yes	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Log each aperture (y or n)"}

begin
	bool vb, db, deltemp
	file imin, ims
	char tchar
	string templist, badpixpath, key, exti, pathi
	int extn

	ims = images
	vb = verbose
	db = debug

#  Make temporary list of input files
	tchar = substr (ims,1,1)
        if (tchar == '@') {
	    templist = substr (ims,2,100)
	    deltemp = no
	    }
	else {
	    templist = mktemp ("badfixlist")
	    files (ims, >templist)
	    deltemp = yes
	    }
	list = templist
	while (fscan (list,imin) != EOF) {

# Make sure filename ends in .fits
	    smatch (imin, ".fits")
	    if (!smatch.found) {
		imin = imin // ".fits"
		}

# Make sure that file exists
	    if (!access (imin)) {
		print ("SETBADPIX: ", imin," cannot be read")
		}

	    else {
		key = "BPM"

# Set BPM for first extension
		extn = 1
		exti = ext // extn
		pathi = maskpath // extn // ".pl"
		ccdhedit (imin, key, pathi, extname=exti, type="string")
		if (vb)
		    print (imin,"[",exti,"]: ", key, " = ",pathi)

# Set BPM for second extension
		extn = 2
		exti = ext // extn
		pathi = maskpath // extn // ".pl"
		ccdhedit (imin, key, pathi, extname=exti, type="string")
		if (vb)
		    print (imin,"[",exti,"]: ", key, " = ",pathi)

# Set BPM for third extension
		extn = 3
		exti = ext // extn
		pathi = maskpath // extn // ".pl"
		ccdhedit (imin, key, pathi, extname=exti, type="string")
		if (vb)
		    print (imin,"[",exti,"]: ", key, " = ",pathi)

# Set BPM for fourth extension
		extn = 3
		exti = ext // extn
		pathi = maskpath // extn // ".pl"
		ccdhedit (imin, key, pathi, extname=exti, type="string")
		if (vb)
		    print (imin,"[",exti,"]: ", key, " = ",pathi)
		}
	    }

	if (deltemp)
	    delete (templist)
end

# Mar 22 2006	New task
