.help hredleak1 Sept2005 hectospec
.ih
NAME
hredleak1 -- Fit and remove red leak from a multispec Hectospec spectrum file
.ih
USAGE
hredleak1 image
.ih
PARAMETERS
.ls image
Name of multispec file to correct
.le
.ls lambda = 8520.
Starting wavelength to correct; passed to \fBredleakcorr\fR.
.le
.ls dounused = no
Parked or broken fibers are marked 'unused' in the FITS header, and
are normally skipped. If this is "yes", the redleak correction is
performed anyway by \fBredleakcorr\fR.
.le
.ls fitfunc = 1
.ls fitfunc = 1
If a multispec file, this gives the initial band to correct; 
passed to \fBredleakcorr\fR.
.le
.ls endband = 0
For a multispec file, this gives the final band to correct. Zero means
only do the single band given in the "band" parameter. A negative number
or a number greater than are in the file means do all bands in the file.
This is passed to \fBredleakcorr\fR.
.le
.ls verbose = no
Passed to \fBredleakcorr\fR. 
.le
.ih
DESCRIPTION
This task takes one or more input spectra contaminated by a variable amount of 
light above .8 microns from LEDs on the Hectospec's robot positioners.
The output
file name and path is derived from the \fBoutdir\fR parameter, the original
file name, and the \fBsuffix\fR parameter.
The task calls \fBredleakcorr\fR to perform the individual corrections on
each file.

The starting point of the fit is given by the \fBlambda\fR input
parameter. The spectrum from there to the end of the file is fit to
determine the continuum level. If the mean of the initial 10% of 
the fit is greater than the mean of the last 10%, the redleak is
deemed insignificant and the correction is not done.
.ih
EXAMPLES
1.  To correct all spectrum files in a directory, putting the output into a
new directory called "redleak", with a summary output:
  
     cl> doredleak *.fits  outdir="redleak/" dounused+ verbose+

2. To correct all bands of all files in a directory, skipping unused fibers:

     cl> doredleak *.fits band=1 endband=-1 dounused=no
.ih
SEE ALSO
redleakcorr
.endhelp
